import { type AgentContext, type DidResolutionResult, type DidResolver } from '@credo-ts/core';
import { Resolver } from 'did-resolver';
export declare class PolygonDidResolver implements DidResolver {
    readonly allowsCaching = true;
    readonly supportedMethods: string[];
    resolver: Resolver;
    constructor();
    resolve(agentContext: AgentContext, did: string): Promise<DidResolutionResult>;
}
